For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
          • POSTOutbound call via SIP trunk
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceSIP Trunk

Outbound call via SIP trunk

POST
/v1/convai/sip-trunk/outbound-call
POST
/v1/convai/sip-trunk/outbound-call
$curl -X POST https://api.elevenlabs.io/v1/convai/sip-trunk/outbound-call \
> -H "Content-Type: application/json" \
> -d '{
> "agent_id": "agent_987654321",
> "agent_phone_number_id": "phone_num_123456789",
> "to_number": "+14155552671"
>}'
1{
2 "success": true,
3 "message": "Outbound call initiated successfully.",
4 "conversation_id": "conv_abc123xyz789",
5 "sip_call_id": "sipcall_456def789ghi"
6}
Handle an outbound call via SIP trunk
Was this page helpful?
Previous

Outbound call via twilio

Next
Built with

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
agent_idstringRequired
agent_phone_number_idstringRequired
to_numberstringRequired
conversation_initiation_client_dataobject or nullOptional
telephony_call_configobjectOptional

Response

Successful Response
successboolean
messagestring
conversation_idstring or null
sip_call_idstring or null

Errors

422
Unprocessable Entity Error